Pausing a media will most of the time freezes the software used while using Xine and PulseAudio (default configuration in Kubuntu Jaunty)

Bug #355825 reported by jairbubbles on 2009-04-05
108
This bug affects 7 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Daniel T Chen
Declined for Jaunty by Pedro Villavicencio
xine-lib (Ubuntu)
Medium
Unassigned
Declined for Jaunty by Pedro Villavicencio

Bug Description

It happens with Amarok but after looking on the net it seems that it's related to the couple Xine / Pulseaudio. I can confirm that if I don't use Pulseaudio it works fine.

It seems that the bug has been corrected very recently and is in the latest version of libxine as said on this page :
http://sourceforge.net/project/shownotes.php?group_id=9655&release_id=673233

"Protect audio loop so it cannot write to a paused device (fix pause/resume freeze with pulseaudio)."

I tried to compile this version by myself but with no success. I think it would be really a good idea to incorporate this patch in the depot version before Jaunty release.

summary: Pausing a media will most of the time freezes the software used while
- using Xine and PulseAudio (default configuration in Kubuntu)
+ using Xine and PulseAudio (default configuration in Kubuntu Jaunty)
Conan (richard-connon) wrote :

Confirming this.
Since the new release is only a bugfix release can it just be upgraded in its entirety for jaunty?

Changed in xine-lib (Ubuntu):
status: New → Confirmed
Daniel T Chen (crimsun) on 2009-04-06
Changed in xine-lib (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
assignee: nobody → crimsun
Daniel T Chen (crimsun) on 2009-04-06
Changed in pulseaudio (Ubuntu):
assignee: nobody → crimsun
status: New → Triaged
Daniel T Chen (crimsun) on 2009-04-06
Changed in pulseaudio (Ubuntu):
status: Triaged → Fix Committed
Daniel T Chen (crimsun) on 2009-04-06
Changed in xine-lib (Ubuntu):
assignee: crimsun → nobody
Daniel T Chen (crimsun) wrote :

Please test pulseaudio packages in my Jaunty PPA once they are available (https://launchpad.net/~crimsun/+archive/ppa).

Conan (richard-connon) wrote :

Fixed for me... thanks.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.14-0ubuntu17

---------------
pulseaudio (1:0.9.14-0ubuntu17) jaunty; urgency=low

  [ Daniel T Chen ]
  * debian/pulseaudio.init:
    - Actually create /var/run/pulse, and make handling of /restart
      more robust (LP #317921)
    - Add /status check for system-wide daemon instance
      (LP: #298299)
  * Backport from upstream git HEAD:
    - 0046_ignore_hal_no_such_cap.patch,
    - 0047_pick_up_all_cards.patch (LP: #353807),
    - 0048_fix_stuck_prebuf.patch (LP: #355825)

  [ Luke Yelavich ]
  * debian/control: Drop recommends from the pulseaudio-module-x11 package. if
    they were dropped previously, they were re-added somehow, so lets get rid
    of them once and for all.

 -- Luke Yelavich <email address hidden> Tue, 07 Apr 2009 16:51:59 +1000

Changed in pulseaudio (Ubuntu):
status: Fix Committed → Fix Released
jairbubbles (jairbubbles) wrote :

Fixed for me too !

Conan (richard-connon) wrote :

Fixed in pulseaudio. Marking invalid in xine-lib.

Changed in xine-lib (Ubuntu):
status: Triaged → Invalid
Daniel T Chen (crimsun) wrote :

The xine-lib task remains valid.

Changed in xine-lib (Ubuntu):
status: Invalid → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xine-lib - 1.1.16.3-0ubuntu1

---------------
xine-lib (1.1.16.3-0ubuntu1) jaunty; urgency=low

  * New upstream release.
  * Merge with debian/unstable. Changes:
    - tighten dependencies on ffmpeg.
    - don't build depend on libjack and libfaad, both not in main.
    - change order of the alternate dependencies libxine-plugins and
      libxine1-misc-plugins. The former would drag in libxine1-ffmpeg
      via recommends on the live cd.
    - still depend on libxine1-x and libxine1-console. Too late to adapt
      all remaining applications for jaunty, will happen for karmic.
    - don't implement the new debian section changes (yet).
    - don't even try to install the jack plugin.
    - patch by Loic Minier in src/xine-engine/load_plugins.c
      Patch rejected upstream, but needed in ubuntu because of broken
      translations in ubuntu language packs. This patch could be dropped
      since the last language pack update, but for saftey, I'll keep it
      in until karmic
  * The previous upload has not been uploaded to unstable yet, but was
    taken from the hg packaging branch. Therefore "fake" a version number
    of 1.1.16.3-0 instead of 1.1.16.3-1.
  * Protect audio loop so it cannot write to a paused device (fix
    pause/resume freeze with pulseaudio). LP: #355825

xine-lib (1.1.16.3-0) unstable; urgency=low

  [ Darren Salt ]
  * New upstream release.
    - Fix another possible int overflow in the 4XM demuxer.
      (ref. TKADV2009-004, CVE-2009-0698) (Closes: #517792)
    - Fix an integer overflow in the Quicktime demuxer.
    - Fix audio/video desynchronisation issues. (Closes: #521269)

  * Post-release patches from upstream:
    - Correct invalid MIME info in the MOD demuxer.
    - Fix a resource leak in libdvdnav.
    - Properly NUL-terminate when reading ID3v2.2 tag content.
    - Fix calculation of length of UTF-16 content sourced from, e.g., ID3 tags.

  * Update the home page link in debian/control.
    xinehq.de is missing presumed 410, and we now have www.xine-project.org.
  * Update debian/copyright.
    The authors list is probably not complete, and is certainly not wrt
    AUTHORS, but the removed entries are relevant only to front ends.
  * Update copyright information somewhat.
    [WIP.]
  * Sync Section information with the archive – mostly. libxine1-console
    belongs in section "libs" since, like libxine1-x, it's required by some
    front ends; and libxine1-bin belongs there too, as it's required by other
    libxine1* packages.
  * Add dh_xine, for use when building front ends.
  * Don't build-depend on libmagick-dev since it can pull in
    graphicsmagick-libmagick-dev-compat, which causes the image decoder
    plugin not to be built → FTBFS.

  [ Reinhard Tartler ]
  * Switch Maintainer/Uploaders fields.

 -- Reinhard Tartler <email address hidden> Tue, 07 Apr 2009 17:00:48 +0200

Changed in xine-lib (Ubuntu):
status: Triaged → Fix Released
Igor Gomes (igorgomes) wrote :

Amarok still isn't working with all latest updates to xine. Same issues.

Igor Gomes

----
igorgomes@guarana ~> apt-cache policy libxine1
libxine1:
  Installed: 1.1.16.3-0ubuntu1
  Candidate: 1.1.16.3-0ubuntu1
  Version table:
 *** 1.1.16.3-0ubuntu1 0
        500 http://br.archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

igorgomes@guarana ~> apt-cache policy amarok
amarok:
  Installed: 2:2.0.2mysql5.1.30-0ubuntu3
  Candidate: 2:2.0.2mysql5.1.30-0ubuntu3
  Version table:
 *** 2:2.0.2mysql5.1.30-0ubuntu3 0
        500 http://br.archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

igorgomes@guarana ~> apt-cache policy pulseaudio
pulseaudio:
  Installed: 1:0.9.14-0ubuntu20
  Candidate: 1:0.9.14-0ubuntu20
  Version table:
 *** 1:0.9.14-0ubuntu20 0
        500 http://br.archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers